{% extends 'base.html' %}

{% block title %} Plata {% endblock title %}

{% block content %}
<section class="py-5 container">
   <div class="row">
       <div class="col-md-8">
           <h4 class="mb-4">Plata - Card</h4>
            <h4 class="mb-4">-taxa pentru transport se va plati in momentul livrarii-</h4>
           <div class="new-card-form">
              <form action="." method="post" class="stripe-form" id="stripe-form">
                  {% csrf_token %}
                  <div class="stripe-form-row" id="creditCard">
                      <label for="card-element" id="stripeBtnLabel">
                          Credit or debit card
                      </label>
                      <div id="card-element" class="StripeElement StripeElement--empty"></div>
                  </div>
                  <div class="stripe-form-row">
                    <button id="stripeBtn">Finalizare plata</button>
                  </div>
                  <div class="stripe-form-row">
                    <div class="custom-control custom-checkbox">
                      <input type="checkbox" class="custom-control-input" name="save" id="save_card_info">
                      <label class="custom-control-label" for="save_card_info">Salvati datele de plata</label>
                    </div>
                  </div>
                  <div id="card-errors" role="alert"></div>
              </form>
            </div>
       </div>
       <div class="col-md-4">
           {% include 'cart_snippet.html' %}
       </div>
   </div>
</section>
{% endblock %}

{% block more_scripts %}
<script src="https://js.stripe.com/v3/"></script>
<script>
  // Create a Stripe client.
  var stripe = Stripe('pk_test_51PR7EUFTsJjQo8HPlZ3yyxVM11bojjqmaq1ZG6yCjdEz01TVBho3ZPV7l6ojBYl3jY2Zi1Qzg23Vy9buxYpJBxub00Se9Ugd5j');

  // Create an instance of Elements.
  var elements = stripe.elements();

  // Custom styling can be passed to options when creating an Element.
  var style = {
    base: {
      color: '#32325d',
      fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
      fontSmoothing: 'antialiased',
      fontSize: '16px',
      '::placeholder': {
        color: '#aab7c4'
      }
    },
    invalid: {
      color: '#fa755a',
      iconColor: '#fa755a'
    }
  };

  // Create an instance of the card Element.
  var card = elements.create('card', {style: style});

  // Add an instance of the card Element into the `card-element` <div>.
  card.mount('#card-element');

  // Handle real-time validation errors from the card Element.
  card.addEventListener('change', function(event) {
    var displayError = document.getElementById('card-errors');
    if (event.error) {
      displayError.textContent = event.error.message;
    } else {
      displayError.textContent = '';
    }
  });

  // Handle form submission.
  var form = document.getElementById('stripe-form');
  form.addEventListener('submit', function(event) {
    event.preventDefault();

    stripe.createToken(card).then(function(result) {
      if (result.error) {
        // Inform the user if there was an error.
        var errorElement = document.getElementById('card-errors');
        errorElement.textContent = result.error.message;
      } else {
        // Send the token to your server.
        stripeTokenHandler(result.token);
      }
    });
  });

  // Submit the form with the token ID.
  function stripeTokenHandler(token) {
    // Insert the token ID into the form so it gets submitted to the server
    var form = document.getElementById('stripe-form');
    var hiddenInput = document.createElement('input');
    hiddenInput.setAttribute('type', 'hidden');
    hiddenInput.setAttribute('name', 'stripeToken');
    hiddenInput.setAttribute('value', token.id);
    form.appendChild(hiddenInput);

    // Submit the form
    form.submit();
  }
</script>
{% endblock %}
